Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2021-04-12 05:01:32

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,616
Website GitHub Twitter

should I cater for older browsers?

I started a ground-up redesign of my wife’s site and I’m thinking of just using modern css3 standards (grid, flex, variables, calc, clamp etc). These of course are not supported by earlier browser versions. Should we still cater for them? Since GDPR, I have no idea of the browser statistics of our visitors so I can not make an educated decision. I understand that browser support is only about 4 years old with some standards such as calc and clamp only been supported since last year on some mobile devices.


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#2 2021-04-12 07:18:26

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 10,288
Website GitHub

Re: should I cater for older browsers?

Short answer: no.

Long answer: don’t waste your time :)

(my 2cents)


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#3 2021-04-12 08:09:53

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,359
Website

Re: should I cater for older browsers?

flex, variables, calc are supported by quite a few browser versions actually, but OK. Even grid goes way back (not IE 11 though).

What do you call “older” browsers ? IE 11, older ? and in the smart phone / small screen field ?
~4 years old in the latter field is really old and probably non-functional. IE 11 is on the way out, except, maybe for accessibility reason (screen readers and Window High Contrast mode). Only now (2021) does Edge-using-chromium support HCMode decently (and Firefox is catching up fast).

Last edited by phiw13 (2021-04-12 08:15:22)


Where is that emoji for a solar powered submarine when you need it ?

Offline

#4 2021-04-12 09:45:09

gaekwad
Multi-hyphenate
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,531
GitHub

Re: should I cater for older browsers?

You could freestyle a bit and use data gathered generally from places like en.wikipedia.org/wiki/Usage_share_of_web_browsers

Offline

#5 2021-04-12 12:09:37

philwareham
Core designer
From: Haslemere, Surrey, UK
Registered: 2009-06-11
Posts: 3,514
Website GitHub Twitter

Re: should I cater for older browsers?

I dropped support for IE11 in the Textpattern websites about 3 months ago. Nobody has complained.

Offline

#6 2021-04-12 14:04:05

michaelkpate
Moderator
From: Avon Park, FL
Registered: 2004-02-24
Posts: 1,364
Website GitHub Mastodon

Re: should I cater for older browsers?

I just tried to open IE on Windows 10 – it does everything it can to get me to use Edge instead.

At work, we are still mostly running Windows 7 – so we have IE (which no one uses) but most people use Firefox (an LTS version that tries to get you to upgrade it every time you open it – which I would love to do but it requires Admin permission. So I mostly use Chrome if it is available (and Firefox when it is not).

Offline

#7 2021-04-12 14:09:02

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,616
Website GitHub Twitter

Re: should I cater for older browsers?

Thanks guys, I’m actually thinking that with all the new goodies css3 offers I may be able to build the whose site without any js. This would actually make my life much easier but I was worried of limiting the audience. I’ll start building once I figure out why my macbook has the black screen of death, which happened after I posted my question above. It’s been a fun day, trying everything and hope I will not have to take it to the service centre!


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

#8 2021-04-12 16:43:44

colak
Admin
From: Cyprus
Registered: 2004-11-20
Posts: 8,616
Website GitHub Twitter

Re: should I cater for older browsers?

colak wrote #329791:

I’ll start building once I figure out why my macbook has the black screen of death, which happened after I posted my question above. It’s been a fun day, trying everything and hope I will not have to take it to the service centre!

Interestingly enough, it has the problem found here (YouTube link) but following the steps did not fix it. I’ll keep on trying.


Yiannis
——————————
neme.org | hblack.net | State Machines | NeMe @ github
I do my best editing after I click on the submit button.

Offline

Board footer

Powered by FluxBB